Bug 171971 - 2 small suggestions: omit static libs, use %{name} in -devel's Req:
2 small suggestions: omit static libs, use %{name} in -devel's Req:
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtkmathview (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-28 10:55 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-05 15:06:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-10-28 10:55:19 EDT
1.  Omit static libs
%configure --disable-static

and drop
%{_libdir}/*.a
from
%files devel


2. in -devel, change all gtkmathview references to use %{name} instead, ie,
Requires: gtkmathview = %{version}-%{release}
to
Requires: %{name} = %{version}-%{release}

(This protects against mayhaps when/if the package is ever renamed)
Comment 1 Marc Maurer 2006-02-05 15:06:06 EST
Both should be fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.